using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DataClasses
{
    [Table("UserProfile")]
    public class UserProfile : BaseClass<int>
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }

        [Required(ErrorMessage = "Povinné vyplňiť")]
        [Display(Name = "Prihlasovacie meno")]
        public string Login { get; set; }

        public string Email { get; set; }
        public virtual ICollection<Lesson> Lessons { get; set; }
    }
}
